Bug 1444889 - After the removal of a rhev provider the datastores are still displayed but unable to be deleted
Summary: After the removal of a rhev provider the datastores are still displayed but u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Piotr Kliczewski
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:datastore
Depends On: 1439380
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 13:37 UTC by Satoe Imaishi
Modified: 2017-05-31 14:58 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439380
Environment:
Last Closed: 2017-05-31 14:58:30 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-ui-classic pull 993 None None None 2017-04-24 13:38:06 UTC
Github ManageIQ manageiq pull 14724 None None None 2017-04-24 13:38:06 UTC
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 14:01:13 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/00e0d4d36ec5d1c67a99f1e01ae357aaaafc0aed

commit 00e0d4d36ec5d1c67a99f1e01ae357aaaafc0aed
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Apr 21 14:50:34 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 10:00:04 2017 -0400

    Merge pull request #14724 from pkliczewski/master
    
    Storage removal
    (cherry picked from commit 11dbb4129ce13113ce758ac96d47c262b1dca748)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444889

 app/models/storage.rb | 6 ++++++
 1 file changed, 6 insertions(+)

Comment 3 CFME Bot 2017-04-24 15:48:13 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/11807c93192667e8745655155aa46450434bbdaa

commit 11807c93192667e8745655155aa46450434bbdaa
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Apr 24 07:15:33 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 11:47:14 2017 -0400

    Merge pull request #993 from pkliczewski/master
    
    Storage removal
    (cherry picked from commit befd4da221979024c715812dd3ad5c5a75ff4425)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444889

 app/controllers/application_controller/ci_processing.rb | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Comment 4 Ilanit Stein 2017-05-07 09:38:58 UTC
After removal of RHV provider, 
the Datastores associated with it should be removed from CFME, and they aren't.

Piotr,
Is there a problem in implementing this removal please? 

After removal of a RHV provider,
A removal of an NFS storage domain, 
that was on that RHV provider, but detached from datacenter is resulted with:
A warning, that this operation will remove this domain content. 
After approving that - operation succeed on CFME side, and this Datastore is no longer listed on CFME.
However, checking this domain, in the storage server show it's content exist.

So now, for a removed RHV provider, when a attempting to delete Datastores, using the ui it do not display error "Datastores no longer exists",
but is says their content will be removed and it doesn't.

Comment 5 Piotr Kliczewski 2017-05-08 07:20:30 UTC
I only verified that datastore view is updated and I haven't checked storage server to double check. It looks like separate BZ to me.

Comment 6 Ilanit Stein 2017-05-08 14:45:38 UTC
The fix of this bug is about adding a warning, displayed when trying to remove a datastore that is still connected ot VMs/Hosts.

Verified on CFME-5.8.0.13/RHV-4.1.1.8
For a RHV provider that was removed, try to remove it's datastore, and got the warning:
"Only storage without VMs and Hosts can be removed"

Comment 8 errata-xmlrpc 2017-05-31 14:58:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.